﻿using UnityEngine;
using UnityEngine.AzureSky;
using UnityEngine.SceneManagement;

public class NoNight : Mod
{
    private AzureSkyController skyController;
    private HNotify notify;

    private readonly string prefix = "[" + "<color=#0000ff>NoNight</color>" + "] ";
    private void Start()
    {
        notify = FindObjectOfType<HNotify>();
        Debug.Log(prefix + " Loaded!");
    }

    public void Update()
    {
        if (SceneManager.GetActiveScene().buildIndex == 1 && skyController == null)
            skyController = FindObjectOfType<UnityEngine.AzureSky.AzureSkyController>();

        if (SceneManager.GetActiveScene().buildIndex == 1 && BedManager.BedTime() && skyController != null)
        {
            skyController.timeOfDay.GotoTime(4.5f);
            WorldManager.DayCounter++;
            notify.AddNotification(HNotify.NotificationType.normal, "Skipping Night!").SetCloseDelay(5).SetTextColor(Color.green);
        }
    }
    public void OnModUnload()
    {
        Debug.Log(prefix + "Unloaded!");
    }
}